import ldap
import ldap.modlist as modlist
import settings

l = None
# Connect to LDAP using python-LDAP
try:
        ldap.set_option(ldap.OPT_X_TLS_CACERTFILE,settings.TLS_CACERTFILE)
        ldap.set_option(ldap.OPT_X_TLS_REQUIRE_CERT,ldap.OPT_X_TLS_NEVER)

        l = ldap.initialize(settings.LDAP_HOST)
        l.simple_bind(settings.LDAP_ADMIN, settings.LDAP_PASSWORD)
except ldap.LDAPError as le:
        print ("LDAP Connection Error - %s", le)
        if l:
        	l.unbind()

try:
        resourceID       = ['31', '32']
        #cn  = 'cms-swestore'
        #groupDN2          = "gidNumber=18239" + "," + settings.groupsDN

	groupDN = "gidNumber=20049" + "," + settings.groupsDN
        addresource = [(ldap.MOD_REPLACE, 'resourceID', resourceID)]

        #l.modify_s(groupDN,addresource)


        filter = "(!(resourceID=*))"
        retrievedAttrs = ['gidNumber', 'resourceID', 'cn']

        ldap_result_id = l.search(settings.groupsDN, ldap.SCOPE_SUBTREE, filter, retrievedAttrs)
        #print str(ldap_result_id)
        print "\n"
        result_type, result_data = l.result(ldap_result_id)

        for res1 in result_data:
            print str(res1) + "\n"
       

except ldap.LDAPError as le:
        print ("LDAP Error -- %s",le)

