# supr-ldap-integration

This is NAISS SUPR LDAP integration, a collection of scripts to synchronize
and update user and project information between SUPR and the Swestore LDAP.

The upstream repository for this repo is:
https://gitlab.liu.se/swestore/supr-ldap-integration

modified_time.txt, its needed to bring the projects and persons from SUPR
from last updated time..i.e. if the last script ended now, modfied_time.txt
wil be updated with that timestamp so that next time when the script runs,
it will only fetch projects and persons from that timestamp

The files in 1time_Scripts and del_scripts are out of date and untested.

The main entry point is supr_swestore_main.py.

# Installation

##  System Dependencies

- python3
- openldap
- cyrus-sasl
- mit-krb5
- openldap-dev

## Guix (optional)

Guix can be used to create a virtual environment for system packages

    guix shell -p venv -m manifest.scm

## Virtualenv

The development tooling are reliant on a tool called virtualenv, which
creates links to a installed version of python and also allows for
installing packages local to the project.

First create the virtual environment:

    python3 -m venv --prompt "supr-ldap-integration" venv

Scripts are available in venv/bin/activate that sets PATH to whatever python
version was used to create the virtual environment. This can be used in
order to install dependencies.

    source venv/bin/activate

If all goes well your prompt should have a new prefix.

The python binary in venv/bin/python could be used instead, without the need
to go through a shell.

## Installing python dependencies

To install python dependencies have to be installed. Make sure that
you have ran the script in bin/activate first.

    python3 -m pip install -r requirements.txt

Then you should be ready:

    venv/bin/python3 supr_swestore_main.py

# More information

- https://packaging.python.org/en/latest/guides/installing-using-pip-and-virtual-environments
